Summary:	Free Music Software for GNOME
Summary(pl.UTF-8):	Wolnodostępne oprogramowanie muzyczne dla GNOME
Name:		gingerblue
Version:	6.2.0
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gingerblue/6.2/%{name}-%{version}.tar.xz
# Source0-md5:	50bf034f1ff2ffaeba6b8c861d6d3d1f
URL:		https://wiki.gnome.org/Apps/Gingerblue
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	geocode-glib-devel >= 3.20
BuildRequires:	geoclue2-devel >= 2.5.7
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-bad-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.24.29
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libchamplain-devel >= 0.12.10
BuildRequires:	libshout-devel >= 2.4.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pango-devel >= 1:0.28
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	geoclue2 >= 2.5.7
Requires:	geocode-glib >= 3.20
Requires:	glib2 >= 1:2.38.0
Requires:	gstreamer-plugins-bad >= 1.0
Requires:	gstreamer-plugins-base >= 1.0
Requires:	gstreamer-plugins-good >= 1.0
Requires:	gtk+3 >= 3.24.29
Requires:	hicolor-icon-theme
Requires:	libchamplain >= 0.12.10
Requires:	libshout >= 2.4.3
Requires:	pango >= 1:0.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gingerblue is Free Software in development for musicians who want to
compose, record and share original music to the Internet from the
GNOME Desktop.

%description -l pl.UTF-8
Gingerblue to wolnodostępne oprogramowanie na wczesnym etapie rozwoju,
przeznaczone dla muzyków chcących komponować, nagrywać i udostępniać
oryginalną muzykę w Internecie z poziomu środowiska GNOME.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless now
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/gingerblue

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gingerblue
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast-server.xml
%{_datadir}/metainfo/gingerblue.appdata.xml
%{_desktopdir}/gingerblue.desktop
%{_iconsdir}/hicolor/*x*/apps/gingerblue.png
%changelog
* Mon Sep 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gingerblue.git;a=log;h=master

* Mon Sep 05 2022 Jakub Bogusz <qboosh@pld-linux.org> fdc9104
- updated to 6.2.0

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 28a7a40
- updated to 6.1.0

* Sat Jun 04 2022 Jakub Bogusz <qboosh@pld-linux.org> a2851b7
- updated to 6.0.1

* Wed May 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 296c286
- updated to 4.0.1

* Tue Nov 23 2021 Jakub Bogusz <qboosh@pld-linux.org> e5da9e0
- updated to 3.0.1

* Mon Nov 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 58a72f7
- updated to 3.0.0

* Tue Oct 26 2021 Jakub Bogusz <qboosh@pld-linux.org> c966ed1
- updated to 2.0.1
- removed obsolete format patch

* Mon Oct 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 7abd6f8
- updated to 2.0.0
- added format patch (fixes build with -Werror=format-security)

* Thu Sep 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 4c7fc03
- updated to 1.8.0

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 2219609
- updated to 1.7.0

* Thu Sep 16 2021 Jakub Bogusz <qboosh@pld-linux.org> d5dcdca
- updated to 1.5.0

* Sun Aug 15 2021 Jakub Bogusz <qboosh@pld-linux.org> c1bf3e9
- updated to 1.4.0

* Wed Jul 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 9543dfd
- updated to 1.1.0

* Wed Jul 14 2021 Jakub Bogusz <qboosh@pld-linux.org> bec3092
- updated to 1.0.0

* Wed Jul 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 531c92b
- updated to 0.7.0

* Tue Jul 13 2021 Jakub Bogusz <qboosh@pld-linux.org> b213318
- updated to 0.6.0

* Tue Jun 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 6e7de92
- updated to 0.5.0

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> fea5740
- updated to 0.4.1

* Sun Sep 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 507ee14
- updated to 0.3.0

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> ab0eeca
- updated to 0.2.0
- removed obsolete pc patch

